Subject: [netatalk-admins] Server disappearing from Chooser

From: Reggie Riser <[email-masked]>
Date: Mon, 18 Aug 1997 14:30:27 -0400

Hi:

I've had a recurring problem where my netatalk server disappears from the
Chooser a few days after startup.  The server is a Pentium 90 running
RedHat 4.2 (kernel 2.0.30) and netatalk 1.4b2.  I had the same problem with
earlier versions of RedHat and netatalk.  Rebooting the machine will make
the server reappear in the Chooser, only to disappear a few days later.

Here is the relevant part of /var/log/messages just before the server
disappears...

Aug 18 09:59:58 earwig atalkd[220]: zip gnireply from 4201.252 (eth0 b2)
Aug 18 09:59:58 earwig atalkd[220]: zip ignoring gnireply
Aug 18 09:59:58 earwig atalkd[220]: zip gnireply from 4201.140 (eth0 b2)
Aug 18 09:59:58 earwig atalkd[220]: zip ignoring gnireply
Aug 18 10:04:56 earwig atalkd[220]: zip gnireply from 4201.252 (eth0 b2)
Aug 18 10:04:56 earwig atalkd[220]: zip ignoring gnireply
Aug 18 10:04:56 earwig atalkd[220]: zip gnireply from 4201.140 (eth0 b2)
Aug 18 10:04:56 earwig atalkd[220]: zip ignoring gnireply
Aug 18 13:30:19 earwig atalkd[220]: as_timer gateway 4201.252 down
Aug 18 13:30:29 earwig atalkd[220]: as_timer gateway 4201.140 down
Aug 18 13:30:59 earwig atalkd[220]: as_timer gateway 4201.140 down
Aug 18 13:30:59 earwig atalkd[220]: as_timer last gateway down

Any idea what the problem may be?

- Reggie

-----
Reggie Riser
University of South Carolina
Computer Services
[email-masked]

---

From: Michael Stone <[email-masked]>
Date: Mon, 18 Aug 1997 15:08:58 -0400

> the server reappear in the Chooser, only to disappear a few days later.

I've had exactly the same problem for a year now. No one has ever 
had a good explanation for why it happens. I don't necessarily 
have to reboot (it will usually come back if I restart netatalk)
and even more strange, it will sometimes come back itself after
a few hours or days or weeks... There doesn't seem to be any 
pattern to the disappearances. The only notable thing is that
I've got two machines that exhibit this behavior, Cyrix P166+
and a dx/2 66, both running linux, but the cyrix is much more
stable--the 486 rarely stays connected more than a few days,
whereas the Cyrix will usually go a few weeks.
 
> Aug 18 13:30:59 earwig atalkd[220]: as_timer last gateway down

Yup, that's basically what I get. I'm not sure that the "ignoring
gnireply" is really the culprit though, because it often appears
without the atalkd going down. Also, take a look at this log,
which combines both of the machines I referred to above:

Aug  7 08:37:24 P166 atalkd[1531]: zip gnireply from 13.22 (eth0 b2)
Aug  7 08:37:24 P166 atalkd[1531]: zip ignoring gnireply
Aug  7 08:37:24 486 atalkd[9284]: zip gnireply from 13.22 (eth0 b2)
Aug  7 08:37:24 486 atalkd[9284]: zip ignoring gnireply
Aug  7 09:57:15 486 atalkd[9284]: as_timer gateway 13.22 down
Aug  7 09:57:45 486 atalkd[9284]: as_timer gateway 13.22 down
Aug  7 09:57:45 486 atalkd[9284]: as_timer last gateway down

Note that both machines received and ignored the gnireply, but
only the 486 went down, and not for another 1:20.
It is interesting that yours also went down about 1:20
after the previous log entry. Might be significant, but probably
a fluke. The nbplkup output following the "last gateway down" 
also gets a little strange. For instance, it now shows a 
NetQue printer that's on the local net, and an <unnamed>
PowerMac that I can't identify off hand. It doesn't show
itself, or the other linux box, or any other macs on the
subnet. It's all pretty strange. I've pretty much given up
on finding an answer and just work around it as best I can
(both machines are nfs cross linked, and all the services are
available on either one, so as long as one is up, the data
is accessible.) If anyone has any new ideas, I'd love to
hear them.

-- 
Michael Stone, Sysadmin, ITRI     PGP: key 1024/76556F95 from mit keyserver,
[email-masked]            finger, or email with "Subject: get pgp key"